/* cmd_neonfun_4view.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_neonfun.h"
#include "game_4wins.h"

CMD_BIND(neonfun_cmd_4view) {
    struct UserNode *gameuser;
    struct ChanUser *chanuser;
    if(!argc || !(gameuser = getUserByNick(argv[0])) || !(chanuser = getChanUser(gameuser, chan))) {
        reply(textclient, user, "NF_4WINS_APPEND_PLAYER");
        return;
    }
    struct fourwins_game *game, *fgame = NULL;
    struct fourwins_guest *guest;
    for(game = fourwins_active_games; game; game = game->next) {
        for(guest = game->guests; guest; guest = guest->next) {
            if(guest->chanuser->user == user) {
                reply(textclient, user, "NF_4WINS_VIEWING_ANOTHER_GAME");
                return;
            }
        }
        if(game->player[0]->user == user || game->player[1]->user == user) {
            reply(textclient, user, "NF_4WINS_VIEWING_ANOTHER_GAME");
            return;
        }
        if(chanuser == game->player[0] || chanuser == game->player[1]) {
            fgame = game;
        }
    }
    game = fgame;
    if(game) {
        guest = malloc(sizeof(*guest));
        chanuser = getChanUser(user, chan);
        if(!chanuser) return;
        guest->chanuser = chanuser;
        guest->next = game->guests;
        game->guests = guest;
        reply(textclient, user, "NF_4WINS_VIEWING_GAME");
    } else {
        reply(textclient, user, "NF_4WINS_NO_GAME_FOUND");
    }
}
